Package org.eclipse.cdt.utils.som

# Class AR.ARHeader

java.lang.Object
org.eclipse.cdt.utils.som.AR.ARHeader

Enclosing class:
  `AR`

public class AR.ARHeader extends Object
Archive and archive member header. Does not include 8-byte magic character.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HEADER_SIZE`
`int`
`somOffset`
`int`
`somSize`

## Constructor Summary

Constructors
Constructor
Description
`ARHeader(long offset)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getObjectData()`
`long`
`getObjectDataOffset()`
`String`
`getObjectName()`
Get the name of the object file
`long`
`getSize()`
Get the size of the object file .

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HEADER_SIZE

public static final int HEADER_SIZE

See Also:
  - Constant Field Values

### somOffset

public int somOffset

### somSize

public int somSize

## Constructor Details

### ARHeader

public ARHeader(long offset) throws IOException

Throws:
  `IOException`

## Method Details

### getObjectName

public String getObjectName()
Get the name of the object file

### getSize

public long getSize()
Get the size of the object file .

### getObjectData

public byte[] getObjectData() throws IOException

Throws:
  `IOException`

### getObjectDataOffset

public long getObjectDataOffset()